| helics 3.6.1

Public Member Functions | Public Attributes | List of all members
helics::GlobalHandle Class Reference

`#include <GlobalFederateId.hpp>`

## Public Member Functions
constexpr | GlobalHandle ()=default
constexpr | GlobalHandle (GlobalFederateId fed, InterfaceHandle hand)
| operator uint64_t () const
constexpr bool | operator== (GlobalHandle id) const noexcept
constexpr bool | operator!= (GlobalHandle id) const noexcept
constexpr bool | operator< (GlobalHandle id) const noexcept
constexpr bool | isValid () const

## Public Attributes
GlobalFederateId | fed_id = GlobalFederateId{}
| the federate id component
InterfaceHandle | handle = InterfaceHandle{}
| the interface handle component

## Detailed Description

class merging a global id and handle together

## Constructor & Destructor Documentation

## ◆ GlobalHandle() [1/2]

constexpr helics::GlobalHandle::GlobalHandle | ( |  | ) |
| constexpr default

default constructor

## ◆ GlobalHandle() [2/2]

constexpr helics::GlobalHandle::GlobalHandle | ( | GlobalFederateId | fed,
|  | InterfaceHandle | hand
| ) |  |
| inline constexpr

construct directly from a federate_id and InterfaceHandle

## Member Function Documentation

## ◆ isValid()

constexpr bool helics::GlobalHandle::isValid | ( |  | ) | const
| inline constexpr

check if the handle points to a validly specified interface

References fed_id, handle, and helics::GlobalFederateId::isValid().

## ◆ operator uint64_t()

helics::GlobalHandle::operator uint64_t | ( |  | ) | const
| inline explicit

convert to a uint64_t

for use in maps and other things

References helics::GlobalFederateId::baseValue(), helics::InterfaceHandle::baseValue(), fed_id, and handle.

## ◆ operator!=()

constexpr bool helics::GlobalHandle::operator!= | ( | GlobalHandle | id | ) | const
| inline constexpr noexcept

inequality operator

References fed_id, and handle.

## ◆ operator<()

constexpr bool helics::GlobalHandle::operator< | ( | GlobalHandle | id | ) | const
| inline constexpr noexcept

less than operator for sorting

References fed_id, and handle.

## ◆ operator==()

constexpr bool helics::GlobalHandle::operator== | ( | GlobalHandle | id | ) | const
| inline constexpr noexcept

equality operator

References fed_id, and handle.

The documentation for this class was generated from the following file:

- GlobalFederateId.hpp